<?php

declare(strict_types=1);

namespace Drupal\cas\Model;

/**
 * CAS protocol versions.
 */
enum CasProtocolVersion: string implements OptionsInterface {

  case Version1_0 = '1.0';

  case Version2_0 = '2.0';

  case Version3_0 = '3.0';

  /**
   * {@inheritdoc}
   */
  public static function getAsOptions(): array {
    return [
      self::Version1_0->value => t('1.0'),
      self::Version2_0->value => t('2.0'),
      self::Version3_0->value => t('3.0 or higher'),
    ];
  }

}
